/**
 * Palindrome5.java
 *	Get a 5-digit number from input, and determines whether
 *	it is a palindrome. Note that this problem can be
 *	solved relatively easily by adopting the code Five.java
 *	from the first lab assignment.
 */
import javax.swing.JOptionPane;

public class Palindrome5 {

  public static void main( String args[] )
  {
    int originalNumber;
    int number;
    String inputString;

    // get a 5-digit number
    do
    {
      // read five-digit number from user as a String
      inputString = JOptionPane.showInputDialog( "Enter five digit integer:" );

      // convert inputString to an integer and assign it to originalNumber
      originalNumber = Integer.parseInt( inputString );

    } while( originalNumber < 10000 || originalNumber > 99999 );


    // determine the 5 digits
    int digit1; // first digit of number
    int digit2; // second digit of number
    int digit3; // third digit of number
    int digit4; // fourth digit of number 
    int digit5; // fifth digit of number

    digit1 = originalNumber / 10000; // get leftmost digit
    number = originalNumber % 10000; // get rightmost four digits

    digit2 = number / 1000;
    number = originalNumber % 1000;

    digit3 = number / 100;
    number = originalNumber % 100;

    digit4 = number / 10;
    digit5 = originalNumber % 10;

    // display results
    if( digit1 == digit5 && digit2 == digit4 )
      JOptionPane.showMessageDialog( null, originalNumber+" is a palindrome" );
    else
      JOptionPane.showMessageDialog(null,originalNumber+" is not a palindrome");

    System.exit( 0 );
  }

} // end class Palindrom5

